'Writing PICAXE BASIC Code
'PICAXE Tutorial
'Experiment: Simple Traffic Light
'3 Sep 2015
'Schematic: PA-08M2 Coding Test Circuit.dch
'Code: Simple Traffic Light 3.bas
'Overview: Simulate the lighting pattern on one side of a traffic light,
	'with timing as follows:
		'Green flashes on/off 10 times for 10 seconds.
		'Green on for 20 seconds, then off.
		'Yellow on for 3 seconds, then off.
		'Red on for 27 seconds, then off.
	'Repeat.
#picaxe 08m2 'Identify the PICAXE being used as an 08M2.
#no_data 'Prevent data from being downloaded to PICAXE.
	symbol g_led = C.2 'Assign g_led to represent pinC.2.
	symbol y_led = C.1 'Assign y_led to represent pinC.1.
	symbol r_led = C.0 'Assign r_led to represent pinC.0.
	symbol dark = 500 'Assign dark to represent 500.
	symbol light = 500 'Assign light to represent 500.
	symbol counter = b4
	main: 'Start 'main' program.
	for counter = 1 to 10 'Set number of loops to 10.
		high g_led 'Turn the green LED on.
		pause light 'Pause for light time with the green LED on.
		low g_led 'Turn the green LED off.
		pause dark 'Pause for dark time with the green LED off.
	next counter 'Next loop.	
		high g_led 'Turn the green LED on.
		wait 20 'Wait for 20 seconds with the green LED on.
		low g_led 'Turn the green LED off.
		high y_led 'Turn the yellow LED on.
		wait 3 'Wait 3 seconds with the yellow LED on.
		low y_led 'Turn the yellow LED off.
		high r_led 'Turn the red LED on.
		wait 27 'Wait for 27 seconds with the red LED on.
		low r_led 'Turn the red LED off.
	goto main 'Go to 'main' program.